# Uses of Class
nu.xom.Nodes

Packages that use Nodes
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.
nu.xom.canonical
`nu.xom.canonical` supports the output of Canonical XML from XOM.
nu.xom.converters
`nu.xom.converters` contains classes that convert XOM documents to other models such as SAX and DOM.
nu.xom.xslt
`nu.xom.xslt` connects XOM documents to TrAX-based XSLT processors.

## Uses of Nodes in nu.xom

Methods in nu.xom that return Nodes
Modifier and Type
Method
Description
`Nodes`
NodeFactory.`finishMakingElement(Element element)`
Signals the end of an element.
`Nodes`
NodeFactory.`makeAttribute(String name, String URI, String value, Attribute.Type type)`
Returns a new `Nodes` object containing an attribute in the specified namespace with the specified name and type.
`Nodes`
NodeFactory.`makeComment(String data)`
Returns a new `Nodes` object containing a comment with the specified text.
`Nodes`
NodeFactory.`makeDocType(String rootElementName, String publicID, String systemID)`
Returns a new `Nodes` object containing a `DocType` object with the specified root element name, system ID, and public ID.
`Nodes`
NodeFactory.`makeProcessingInstruction(String target, String data)`
Returns a new `Nodes` object containing a new `ProcessingInstruction` object with the specified target and data.
`Nodes`
NodeFactory.`makeText(String data)`
Returns a new `Nodes` object containing a text node with the specified content.
`final Nodes`
Node.`query(String xpath)`
Returns the nodes selected by the XPath expression in the context of this node in document order as defined by XSLT.
`final Nodes`
Node.`query(String xpath, XPathContext namespaces)`
Returns the nodes selected by the XPath expression in the context of this node in document order as defined in XSLT.
`Nodes`
Element.`removeChildren()`
Detaches all children from this node.

## Uses of Nodes in nu.xom.canonical

Methods in nu.xom.canonical with parameters of type Nodes
Modifier and Type
Method
Description
`final void`
Canonicalizer.`write(Nodes documentSubset)`
Serializes a document subset onto the output stream using the canonical XML algorithm.

## Uses of Nodes in nu.xom.converters

Methods in nu.xom.converters that return Nodes
Modifier and Type
Method
Description
`static Nodes`
DOMConverter.`convert(DocumentFragment fragment)`
Translates a DOM `org.w3c.dom.DocumentFragment` object into an equivalent `nu.xom.Nodes` object.
`static Nodes`
DOMConverter.`convert(DocumentFragment fragment, NodeFactory factory)`
Translates a DOM `org.w3c.dom.DocumentFragment` object into an equivalent `nu.xom.Nodes` object, converting each DOM node as specified by a factory.
Methods in nu.xom.converters with parameters of type Nodes
Modifier and Type
Method
Description
`void`
SAXConverter.`convert(Nodes nodes)`
Converts a `Nodes` list into SAX by firing events into the registered handlers.

## Uses of Nodes in nu.xom.xslt

Methods in nu.xom.xslt that return Nodes
Modifier and Type
Method
Description
`Nodes`
XSLTransform.`transform(Document in)`
Creates a new `Nodes` from the input `Document` by applying this object's stylesheet.
`Nodes`
XSLTransform.`transform(Nodes in)`
Creates a new `Nodes` object from the input `Nodes` object by applying this object's stylesheet.
Methods in nu.xom.xslt with parameters of type Nodes
Modifier and Type
Method
Description
`static Document`
XSLTransform.`toDocument(Nodes nodes)`
Builds a `Document` object from a `Nodes` object.
`Nodes`
XSLTransform.`transform(Nodes in)`
Creates a new `Nodes` object from the input `Nodes` object by applying this object's stylesheet.